package test;

import lombok.extern.slf4j.Slf4j;
import weaver.soa.workflow.request.RequestInfo;
import weaver.soa.workflow.request.RequestService;

@Slf4j
public class TestRunnable implements Runnable{

    private RequestInfo requestInfo;
    private String requestId;
    public TestRunnable(RequestInfo requestInfo,String requestId){
        this.requestInfo=requestInfo;
        this.requestId=requestId;
    }
    @Override
    public void run() {
        try {
            log.info("TestRunnable start");
            Thread.sleep(10000);
            log.info("TestRunnable start  222");
            RequestService requestService = new RequestService();
//            requestService.setSubmitToNodeid("366");
//            requestService.saveRequest(requestInfo);
            requestService.nextNodeBySubmit(requestInfo,requestInfo.getRequestManager().getRequestid(),24,"自动提交11111");
        }catch (Exception e){

        }
    }
}
